Results 1 to 5 of 5

Thread: How to install qt 4.5?

  1. #1
    Join Date
    Sep 2008
    Location
    Slovenia
    Posts
    335

    Default How to install qt 4.5?

    Hi. I would like to upgrade my qt to version 4.5 since it is available and it should solve the taskbar rendering issue I mentioned it this thread http://forums.opensuse.org/applications/405738-taskbar-doesnt-refresh-properly.html, but don't know what exactly to install, because it is composed of different libraries. Is there any howto available, or anyone knows how could I do this right. Thanks for your help.

  2. #2
    Join Date
    Jan 2009
    Location
    USA Pennsylvania
    Posts
    1,287

    Default Re: How to install qt 4.5?

    Hi,

    Add this repository to your list of repositories in Yast.

    Index of /repositories/KDE:/Qt/openSUSE_11.1

    Then, in Yast's Software Manager, choose Package>All Packages>Update if newer version available.

    It will tell you how many packages will be updated, click Continue.

    It will then show you all the packages that will be updated. Qt will automatically be selected since you added the Qt repository and the version in the repository is newer (4.5).

    Click accept and it will install everything for you.

    Hope this helps!

    Ian
    Laptop: Dell Inspiron E1505 | OpenSUSE 12.1/Windows Vista | KDE | Intel CPU T2050 1.6 GHz | Intel 945GM | 3.2GB RAM
    Box: OpenSUSE 12.1/Windows 7 | KDE | Intel Core 2 Quad 8300 2.5GHz/core | nVidia Geforce 9500GT 1GB| 4 GB RAM

  3. #3
    Join Date
    Sep 2008
    Location
    Slovenia
    Posts
    335

    Default Re: How to install qt 4.5?

    thanks ijbreakey, I tried as suggested, but running "Package>All Packages>Update" results in some dependency errors, so I gues it would be better to update just the Qt repository libraries. Is there any simple way to do that, or is there maybe any rpm package for 4.5 available, that would include libraries for kde I need? Thanks again.

  4. #4
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,581
    Blog Entries
    14

    Default Re: How to install qt 4.5?

    The repo is correct (...Qt45.... is alsa there, tiny difference in version numbers). The files in the repo are rpm files. There's no such thing as a single rpm-file containing all of Qt45. And....the dependencies of the files are organized in such a way that they are not automatic updates. So what you do is this:
    Get in the software-installer, change from 'Search' to 'Repositories', select the newly added Qt repo, click the first installed file in the list, click the Version Tab and select the 4.5.... version. It will immediately set the package to be updated.
    Repeat this for every single package, click Accept, and the installer will do it's job.

    Good lux
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  5. #5
    Join Date
    Sep 2008
    Location
    Slovenia
    Posts
    335

    Default Re: How to install qt 4.5?

    thanks for the guide Knurpht, I've learned something new

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •